var util = require('../../../../utils/util.js');
var api = require('../../../../api/api.js');
var app = getApp();
Page({
  data: {
    list: [],
    page: 1,
    limit: 10,
    totalPages: 1,
  },
  getList() {
    let that = this;
    util.request(api.ParterCashoutList, {
      page: that.data.page,
      limit: that.data.limit
    }).then(function (res) {
      if (res.errno === 0) {
        that.setData({ 
          list: that.data.list.concat(res.data.list),
          totalPages: res.data.pages
        });
      }
    });
  }, 
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.totalPages > this.data.page) {
      this.setData({
        page: this.data.page + 1
      });
      this.getList();
    } else {
      wx.showToast({
        title: '没有更多记录了',
        icon: 'none',
        duration: 2000
      });
      return false;
    }
  },
  showPicker() {
    this.setData({
      showPicker: true
    });
  },
  onCancel: function () {
    this.setData({
      showPicker: false,
    });
  },
  onConfirm: function (event) {
    this.setData({
      type: this.data.statusList[event.detail.index],
      statusType: event.detail.value,
      showPicker: false,
    });
    this.setData({
      page: 1,
      list: []
    });
    this.getList();
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})